library(ape)

## Open the 'infile' file
if(file.access(infile) != 0){
  print (paste(infile,' does not exist.'))
  q()
}
infile.phy  <- read.dna(infile)

## Estimate distance
dist.TN93 <- dist.dna(infile.phy, model = "TN93", pairwise.deletion=TRUE, gamma=5)

## #stimate NJ tree
nj.TN93 <- njs(dist.TN93)

## Reroot by outGroup
nj.TN93 <- root(nj.TN93,outGroup,r=T)

## ladderize from bottom
nj.TN93 <- ladderize(nj.TN93,TRUE)

## BS analysis with partitioning data (1st+2nd)
#nj.boot.nj.TN93 <- boot.phylo(nj.TN93, infile.phy,     function(xx) root(nj(dist.dna(xx, model = "TN93", pairwise.deletion = TRUE, gamma = 5)),outGroup,r=T), 100, 2)
nj.boot.nj.TN93 <- boot.phylo(nj.TN93, infile.phy,     function(xx) root(njs(dist.dna(xx, model = "TN93", pairwise.deletion = TRUE)),outGroup,r=T), 100, 2)
nj.TN93$node.label <- nj.boot.nj.TN93

nj.TN93$node.label[is.na(nj.TN93$node.label)]<-0

## Write tree
write.tree(nj.TN93, file = outfile)

